skip to Main Content
Security Update: WordPress 4.9.1

As part of the WordPress core team’s ongoing commitment to security hardening, 4.9.1 was released on November 29, 2017.

It is recommended that you update as soon as possible because this release addresses four security issues.

If your host or maintenance service provider has not contacted you, or if you are responsible for updates on your own, please read the original announcement from WordPress.

Whenever there is a security release from WordPress or any plugin developer, Maje Media does research to find out what is changing and why before we jump into updates. By researching changes and testing before deployment on development sites we can make sure our clients are on the latest and most secure versions of WordPress core, themes, and plugins with a minimum amount of disruption to business.

If you have any questions the latest WordPress security update or becoming a Maje Media maintenance client, you can learn more about our Managed by Maje Maintenance Packages or contact us for a free consult.

Back To Top